Subject: Re: bug#5983: 23.1.96; compilation-next-error broken

From: Ted Zlatanov <[email-masked]>
Date: Tue, 20 Apr 2010 09:26:42 -0500

On Tue, 20 Apr 2010 05:45:02 -0400 stephe <[email-masked]> wrote: 

s> Now go to the next error: C-x `. Point should be on the line that prints
s> "missing paren", but it is on the previous line (the current line 5).

s> The problem seems to be in compilation-next-error. It has a mechanism
s> that sets markers based on the line/column info in the error messages,
s> assuming the file has not changed. It puts file mod timestamps in the
s> compilation error structure to record that this has been done, so it
s> doesn't get done again (after the buffer has changed). However, it
s> doesn't set the timestamp in every line, and when it gets to a line
s> without a timestamp, it processes the marker info again, which is wrong.

I thought this was fixed with bug#5620.

Ted